Subject: Re: [patch][5/5] powerpc: Add the general support for Embedded Floating-Point instructions

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sat, 13 Jan 2007 09:02:14 +1100

On Fri, 2007-01-12 at 15:49 -0600, Kumar Gala wrote:
> On Jan 12, 2007, at 3:27 PM, Benjamin Herrenschmidt wrote:
> 
> >> I think its a fair assumption that nothing is going to interrupt the
> >> handling of the exception, so its safe to assume the process causing
> >> the interrupt will be the same one we return to.
> >
> > What about the get_user to get to the faulting instruction ? I suppose
> > if those processors are UP only and we use an exception with EE
> > disabled, there should be no way the page has been evicted since the
> > access, so that should work, but will that ever be true ?
> 
> For UP we are ok, since nothing else can cause an invalidate.
> 
> How do we handle getting a fault when we are emulating any other  
> instruction?

Well, that's the reason why we had this discussion recently about moving
the local_irq_enable to before the emulation code :-)

Ben.